// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		F37AC4A02A00E59100A048BB /* SubMenuCell.swift in Sources */ = {isa = PBXBuildFile; fileRef = F37AC49F2A00E59100A048BB /* SubMenuCell.swift */; };
		F3D6B97129F2801700A65804 /* AppDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = F3D6B97029F2801700A65804 /* AppDelegate.swift */; };
		F3D6B97329F2801700A65804 /* SceneDelegate.swift in Sources */ = {isa = PBXBuildFile; fileRef = F3D6B97229F2801700A65804 /* SceneDelegate.swift */; };
		F3D6B97529F2801700A65804 /* ViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F3D6B97429F2801700A65804 /* ViewController.swift */; };
		F3D6B97A29F2801800A65804 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = F3D6B97929F2801800A65804 /* Assets.xcassets */; };
		F3D6B97D29F2801800A65804 /* LaunchScreen.storyboard in Resources */ = {isa = PBXBuildFile; fileRef = F3D6B97B29F2801800A65804 /* LaunchScreen.storyboard */; };
		F3D6B98529F294E000A65804 /* MXCanvasViewController.swift in Sources */ = {isa = PBXBuildFile; fileRef = F3D6B98429F294E000A65804 /* MXCanvasViewController.swift */; };
		F3D6B98729F298C400A65804 /* MXCanvasView.swift in Sources */ = {isa = PBXBuildFile; fileRef = F3D6B98629F298C400A65804 /* MXCanvasView.swift */; };
/* End PBXBuildFile section */

/* Begin PBXFileReference section */
		F37AC49F2A00E59100A048BB /* SubMenuCell.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SubMenuCell.swift; sourceTree = "<group>"; };
		F3D6B96D29F2801700A65804 /* PreCodeMXImageEditor.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = PreCodeMXImageEditor.app; sourceTree = BUILT_PRODUCTS_DIR; };
		F3D6B97029F2801700A65804 /* AppDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AppDelegate.swift; sourceTree = "<group>"; };
		F3D6B97229F2801700A65804 /* SceneDelegate.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SceneDelegate.swift; sourceTree = "<group>"; };
		F3D6B97429F2801700A65804 /* ViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ViewController.swift; sourceTree = "<group>"; };
		F3D6B97929F2801800A65804 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		F3D6B97C29F2801800A65804 /* Base */ = {isa = PBXFileReference; lastKnownFileType = file.storyboard; name = Base; path = Base.lproj/LaunchScreen.storyboard; sourceTree = "<group>"; };
		F3D6B97E29F2801800A65804 /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist.xml; path = Info.plist; sourceTree = "<group>"; };
		F3D6B98429F294E000A65804 /* MXCanvasViewController.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MXCanvasViewController.swift; sourceTree = "<group>"; };
		F3D6B98629F298C400A65804 /* MXCanvasView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MXCanvasView.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		F3D6B96A29F2801700A65804 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		F3D6B96429F2801700A65804 = {
			isa = PBXGroup;
			children = (
				F3D6B96F29F2801700A65804 /* PreCodeMXImageEditor */,
				F3D6B96E29F2801700A65804 /* Products */,
			);
			sourceTree = "<group>";
		};
		F3D6B96E29F2801700A65804 /* Products */ = {
			isa = PBXGroup;
			children = (
				F3D6B96D29F2801700A65804 /* PreCodeMXImageEditor.app */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		F3D6B96F29F2801700A65804 /* PreCodeMXImageEditor */ = {
			isa = PBXGroup;
			children = (
				F3D6B97029F2801700A65804 /* AppDelegate.swift */,
				F3D6B97229F2801700A65804 /* SceneDelegate.swift */,
				F3D6B97429F2801700A65804 /* ViewController.swift */,
				F3D6B98429F294E000A65804 /* MXCanvasViewController.swift */,
				F3D6B98629F298C400A65804 /* MXCanvasView.swift */,
				F37AC49F2A00E59100A048BB /* SubMenuCell.swift */,
				F3D6B97929F2801800A65804 /* Assets.xcassets */,
				F3D6B97B29F2801800A65804 /* LaunchScreen.storyboard */,
				F3D6B97E29F2801800A65804 /* Info.plist */,
			);
			path = PreCodeMXImageEditor;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		F3D6B96C29F2801700A65804 /* PreCodeMXImageEditor */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = F3D6B98129F2801800A65804 /* Build configuration list for PBXNativeTarget "PreCodeMXImageEditor" */;
			buildPhases = (
				F3D6B96929F2801700A65804 /* Sources */,
				F3D6B96A29F2801700A65804 /* Frameworks */,
				F3D6B96B29F2801700A65804 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = PreCodeMXImageEditor;
			productName = PreCodeMXImageEditor;
			productReference = F3D6B96D29F2801700A65804 /* PreCodeMXImageEditor.app */;
			productType = "com.apple.product-type.application";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		F3D6B96529F2801700A65804 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1430;
				LastUpgradeCheck = 1430;
				TargetAttributes = {
					F3D6B96C29F2801700A65804 = {
						CreatedOnToolsVersion = 14.3;
					};
				};
			};
			buildConfigurationList = F3D6B96829F2801700A65804 /* Build configuration list for PBXProject "PreCodeMXImageEditor" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = F3D6B96429F2801700A65804;
			productRefGroup = F3D6B96E29F2801700A65804 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				F3D6B96C29F2801700A65804 /* PreCodeMXImageEditor */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		F3D6B96B29F2801700A65804 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F3D6B97D29F2801800A65804 /* LaunchScreen.storyboard in Resources */,
				F3D6B97A29F2801800A65804 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		F3D6B96929F2801700A65804 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				F3D6B98729F298C400A65804 /* MXCanvasView.swift in Sources */,
				F37AC4A02A00E59100A048BB /* SubMenuCell.swift in Sources */,
				F3D6B97529F2801700A65804 /* ViewController.swift in Sources */,
				F3D6B97129F2801700A65804 /* AppDelegate.swift in Sources */,
				F3D6B97329F2801700A65804 /* SceneDelegate.swift in Sources */,
				F3D6B98529F294E000A65804 /* MXCanvasViewController.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXVariantGroup section */
		F3D6B97B29F2801800A65804 /* LaunchScreen.storyboard */ = {
			isa = PBXVariantGroup;
			children = (
				F3D6B97C29F2801800A65804 /* Base */,
			);
			name = LaunchScreen.storyboard;
			sourceTree = "<group>";
		};
/* End PBXVariantGroup section */

/* Begin XCBuildConfiguration section */
		F3D6B97F29F2801800A65804 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		F3D6B98029F2801800A65804 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 13.0;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		F3D6B98229F2801800A65804 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = BA26SL5WXX;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = PreCodeMXImageEditor/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "PreCode MXIE";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.productivity";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.smksingh.PreCodeMXImageEditor;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		F3D6B98329F2801800A65804 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = BA26SL5WXX;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = PreCodeMXImageEditor/Info.plist;
				INFOPLIST_KEY_CFBundleDisplayName = "PreCode MXIE";
				INFOPLIST_KEY_LSApplicationCategoryType = "public.app-category.productivity";
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchStoryboardName = LaunchScreen;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = com.smksingh.PreCodeMXImageEditor;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SUPPORTED_PLATFORMS = "iphoneos iphonesimulator";
				SUPPORTS_MACCATALYST = NO;
				SUPPORTS_MAC_DESIGNED_FOR_IPHONE_IPAD = NO;
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		F3D6B96829F2801700A65804 /* Build configuration list for PBXProject "PreCodeMXImageEditor" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F3D6B97F29F2801800A65804 /* Debug */,
				F3D6B98029F2801800A65804 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		F3D6B98129F2801800A65804 /* Build configuration list for PBXNativeTarget "PreCodeMXImageEditor" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				F3D6B98229F2801800A65804 /* Debug */,
				F3D6B98329F2801800A65804 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = F3D6B96529F2801700A65804 /* Project object */;
}
